[Deprecated]: V14.0

get

/ec-designer-svc/rest/v14.0/studies/{studyId}/versions/{version}/visits/{visitid}/forms

Deprecated: Use latest version instead. Retrieves all forms added to a specific visit in a study.

Request

Path Parameters
Query Parameters
  • As-of date for historical form view, e.g. yyyy-MM-dd'T'HH:mm:ss. Optional.
    Example:
    2025-01-15T00:00:00
  • Study mode used to filter cohorts. Allowed values: design (draft design data), test (testing data), training (training data), active (approved production data), all (all modes).
    Default Value: design
    Allowed Values: [ "test", "training", "active", "design" ]
    Example:
    design
  • Response type for visit forms. Optional. Allowed values: summary, summaryLite, details.
    Default Value: summary
    Allowed Values: [ "", "summary", "summaryLite", "details" ]
    Example:
    summary

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : schema
Type: array
Show Source
  • items
    Returns VisitFormDto objects for summary or summaryLite responses, and FormDto objects for details responses.
Nested Schema : items
Returns VisitFormDto objects for summary or summaryLite responses, and FormDto objects for details responses.
Match One Schema
Show Source
Nested Schema : FormDto v14.0
Type: object
Title: FormDto v14.0
A form definition returned for a study version.
Show Source
Example:
{
    "id":"B1B8327AFAA6412287106192AB5984EF",
    "title":"Demographics",
    "refname":"DM",
    "repeat":false,
    "dynamic":0,
    "formType":"STANDARD_FORM",
    "items":[
        {
            "id":"C2C8327AFAA6412287106192AB5984EF",
            "questionType":"text",
            "questionLabel":"Date of birth",
            "refname":"DOB_01",
            "required":true,
            "sequence":1
        }
    ]
}
Nested Schema : VisitFormDto
Type: object
Summary of a form associated with a visit.
Show Source
Nested Schema : items
Type: array
Show Source
  • FormItemDto v14.0
    Title: FormItemDto v14.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov14", "numeric":"#/components/schemas/FormNumberItemDtov14", "measurement":"#/components/schemas/FormNumberItemDtov14", "text":"#/components/schemas/FormTextItemDtov14", "choice":"#/components/schemas/FormChoiceItemDtov14", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov14", "table":"#/components/schemas/FormTableItemDto", "label":"#/components/schemas/FormLabelItemDto" } }
    Form Item Information
Nested Schema : linkFrom
Type: array
linked from forms
Show Source
Nested Schema : showFrom
Type: array
show dynamic parent from forms of same visit
Show Source
Nested Schema : FormCopySourceDto v14.0
Type: object
Title: FormCopySourceDto v14.0
Form Copy Source Information
Show Source
Nested Schema : FormItemDto v14.0
Type: object
Title: FormItemDto v14.0
Discriminator: questionType

Discriminator Values

Form Item Information
Show Source
Match One Schema
Show Source
Nested Schema : advancedProps
Type: array
Show Source
Nested Schema : dataClassificationIds
Type: array
Show Source
Nested Schema : FormNumberItemDto v14.0
Type: object
Title: FormNumberItemDto v14.0
Form Number Item Details Information
Match All
Form Number Item Details Information
Form Number Item Details Information
Show Source
  • FormItemDto v14.0
    Title: FormItemDto v14.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov14", "numeric":"#/components/schemas/FormNumberItemDtov14", "measurement":"#/components/schemas/FormNumberItemDtov14", "text":"#/components/schemas/FormTextItemDtov14", "choice":"#/components/schemas/FormChoiceItemDtov14", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov14", "table":"#/components/schemas/FormTableItemDto", "label":"#/components/schemas/FormLabelItemDto" } }
    Form Item Information
  • FormNumberItemDto v14.0-allOf[1]
Nested Schema : FormChoiceItemDto v14.0
Type: object
Title: FormChoiceItemDto v14.0
Form Choice Item Details Information
Match All
Form Choice Item Details Information
Form Choice Item Details Information
Show Source
  • FormItemDto v14.0
    Title: FormItemDto v14.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov14", "numeric":"#/components/schemas/FormNumberItemDtov14", "measurement":"#/components/schemas/FormNumberItemDtov14", "text":"#/components/schemas/FormTextItemDtov14", "choice":"#/components/schemas/FormChoiceItemDtov14", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov14", "table":"#/components/schemas/FormTableItemDto", "label":"#/components/schemas/FormLabelItemDto" } }
    Form Item Information
  • FormChoiceItemDto v14.0-allOf[1]
Nested Schema : FormTextItemDto v14.0
Type: object
Title: FormTextItemDto v14.0
Form text Item Details Information
Match All
Form text Item Details Information
Form text Item Details Information
Show Source
  • FormItemDto v14.0
    Title: FormItemDto v14.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov14", "numeric":"#/components/schemas/FormNumberItemDtov14", "measurement":"#/components/schemas/FormNumberItemDtov14", "text":"#/components/schemas/FormTextItemDtov14", "choice":"#/components/schemas/FormChoiceItemDtov14", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov14", "table":"#/components/schemas/FormTableItemDto", "label":"#/components/schemas/FormLabelItemDto" } }
    Form Item Information
  • FormTextItemDto v14.0-allOf[1]
Nested Schema : FormDatetimeItemDto v14.0
Type: object
Title: FormDatetimeItemDto v14.0
Form DateTime Item Details Information
Match All
Form DateTime Item Details Information
Form DateTime Item Details Information
Show Source
  • FormItemDto v14.0
    Title: FormItemDto v14.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov14", "numeric":"#/components/schemas/FormNumberItemDtov14", "measurement":"#/components/schemas/FormNumberItemDtov14", "text":"#/components/schemas/FormTextItemDtov14", "choice":"#/components/schemas/FormChoiceItemDtov14", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov14", "table":"#/components/schemas/FormTableItemDto", "label":"#/components/schemas/FormLabelItemDto" } }
    Form Item Information
  • FormDatetimeItemDto v14.0-allOf[1]
Nested Schema : FormQuestionGroupItemDto v14.0
Type: object
Title: FormQuestionGroupItemDto v14.0
Form Question Group Item Details Information
Match All
Form Question Group Item Details Information
Show Source
  • FormItemDto v14.0
    Title: FormItemDto v14.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov14", "numeric":"#/components/schemas/FormNumberItemDtov14", "measurement":"#/components/schemas/FormNumberItemDtov14", "text":"#/components/schemas/FormTextItemDtov14", "choice":"#/components/schemas/FormChoiceItemDtov14", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov14", "table":"#/components/schemas/FormTableItemDto", "label":"#/components/schemas/FormLabelItemDto" } }
    Form Item Information
Nested Schema : FormTableItemDto
Type: object
Match All
Show Source
  • FormItemDto v14.0
    Title: FormItemDto v14.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov14", "numeric":"#/components/schemas/FormNumberItemDtov14", "measurement":"#/components/schemas/FormNumberItemDtov14", "text":"#/components/schemas/FormTextItemDtov14", "choice":"#/components/schemas/FormChoiceItemDtov14", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov14", "table":"#/components/schemas/FormTableItemDto", "label":"#/components/schemas/FormLabelItemDto" } }
    Form Item Information
  • FormTableItemDto-allOf[1]
Nested Schema : FormLabelItemDto
Type: object
Match All
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
  • FormLabelItemDto-allOf[1]
Nested Schema : From Item Advanced Property v14.0
Type: object
Title: From Item Advanced Property v14.0
Form Item Advanced Property
Show Source
Nested Schema : rules
Type: array
Show Source
Nested Schema : From Item Advanced Property Rule v14.0
Type: object
Title: From Item Advanced Property Rule v14.0
Form Item Advanced Property Rule
Show Source
  • For RolloverQuestion property it is an ECDV_CODELISTITEM.VALUE
    Example: Yes
  • name
    Example: RolloverQuestionAnswer
  • For RolloverQuestion property it is an ECDV_CODELISTITEM.CODELISTITEM_ID
    Example: B1B8327AFAA6412287106192AB5984EF
Nested Schema : FormNumberItemDto v14.0-allOf[1]
Type: object
Show Source
Nested Schema : FormChoiceItemDto v14.0-allOf[1]
Type: object
Show Source
Nested Schema : options
Type: array
Show Source
Nested Schema : FormOptionDto v14.0
Type: object
Title: FormOptionDto v14.0
Form choice item option details
Show Source
  • Codelist code for a one specific choice.
    Example: 1
  • Minimum Length: 1
    Maximum Length: 4000
    Codelist description for a one specific choice.
    Example: 1
  • Minimum Length: 1
    Maximum Length: 4000
    Form choice selectbox label for a one specific choice.
    Example: Female
  • Minimum Length: 1
    Maximum Length: 4000
    Form choice selectbox value for a one specific choice.
    Example: 1
Nested Schema : FormTextItemDto v14.0-allOf[1]
Type: object
Show Source
Nested Schema : FormDatetimeItemDto v14.0-allOf[1]
Type: object
Show Source
Nested Schema : FormTableItemDto-allOf[1]
Type: object
Show Source
Nested Schema : FormItemDto v21.0
Type: object
Title: FormItemDto v21.0
Discriminator: questionType

Discriminator Values

Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
Show Source
Match One Schema
Show Source
Example:
{
    "questionType":"text",
    "id":"9E0F5C16D8A94C5E9E0F5C16D8A94C5E",
    "formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
    "visitIds":[
        "7B4F1B4C9E874845A67B2A83251F9012"
    ],
    "formTitle":"Demographics",
    "questionLabel":"Subject Initials",
    "questionHint":"Enter the subject initials.",
    "refname":"SUBJ_INIT",
    "required":true,
    "dynamic":0,
    "hidden":false,
    "readOnly":false,
    "sdvRequired":"NEVER",
    "sequence":1,
    "groupSequence":1,
    "sasVariable":"SUBJINIT",
    "sasLabel":"Subject Initials"
}
Nested Schema : FormLabelItemDto-allOf[1]
Type: object
Show Source
Nested Schema : advancedProps
Type: array
Show Source
Nested Schema : options
Type: array
Show Source
Nested Schema : FormItemAdvancedPropWithParentDto v21.0
Type: object
Title: FormItemAdvancedPropWithParentDto v21.0
Advanced property associated with a form item and its parent object.
Show Source
Example:
{
    "id":"B1B8327AFAA6412287106192AB5984EF",
    "type":"AssignedVisit",
    "name":"Visit",
    "value":"D3D8327AFAA6412287106192AB5984EF",
    "label":"Screening",
    "parentObjectId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
    "parentObjectLabel":"Demographics",
    "parentObjectLevel":"FORM"
}
Nested Schema : rules
Type: array
Advanced property rules list.
Show Source
Example:
[
    {
        "name":"RolloverQuestionAnswer",
        "value":"B1B8327AFAA6412287106192AB5984EF",
        "label":"Yes"
    }
]
Nested Schema : FormItemAdvancedPropRuleDto v21.0
Type: object
Title: FormItemAdvancedPropRuleDto v21.0
Rule entry for a form item advanced property.
Show Source
Example:
{
    "name":"RolloverQuestionAnswer",
    "value":"YES",
    "label":"Yes"
}
Nested Schema : FormOptionDto v21.0
Type: object
Title: FormOptionDto v21.0
Selectable option returned for a choice form item.
Show Source
  • Codelist code for the choice option when linked to a codelist.
    Example: F
  • Minimum Length: 1
    Maximum Length: 4000
    Codelist description for the choice option when linked to a codelist.
    Example: Female
  • Codelist item ID for the choice option (UUID, 32-character uppercase hexadecimal string).
  • Codelist value for the choice option when linked to a codelist.
    Example: Female
  • Is form item option hidden?
    Example: false
  • Minimum Length: 1
    Maximum Length: 4000
    Display label for the choice option.
    Example: Female
  • Minimum Length: 1
    Maximum Length: 4000
    Sequence value for ordering the choice option.
    Example: 1
  • Minimum Length: 1
    Maximum Length: 4000
    Stored answer value for the choice option.
    Example: F
Example:
{
    "label":"Female",
    "value":"F",
    "clCode":"F",
    "clDescription":"Female",
    "clValue":"Female",
    "clItemId":"1F4A6C7E1B8F4D56A23C9F3A0C7D4E21",
    "hidden":false,
    "optionSeq":"1"
}
Nested Schema : FormLinkFromDto v14.0
Type: object
Title: FormLinkFromDto v14.0
Linked From Form Details
Show Source
Nested Schema : items
Type: array
Form items
Show Source
Examples

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top